Skip to content

Retrieves the metadata of a specified annotation reference type. Learn more about reference types.

GET/api/{version}/metadata/objects/documents/annotations/references/types/{reference_type}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{reference_type}
required
The name of the reference type. For example, permalink__sys. Learn more about reference types.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/metadata/objects/documents/annotations/references/types/document__sys \
{ "responseStatus": "SUCCESS", "data": { "name": "document__sys", "fields": [ { "name": "annotation__sys", "type": "String", "system_managed": false, "value_set": [] }, { "name": "document_version_id__sys", "type": "String", "system_managed": false, "value_set": [] }, { "name": "type__sys", "type": "String", "system_managed": true, "value_set": [ "document__sys" ] } ] } }

On SUCCESS, the response includes a list of annotations of the specified type(s) for the document version. Each Annotation object may include some or all of the following fields depending on type:

FieldDescription
annotation__sysDocument-type references only. The ID of the referenced anchor annotation, or null for references to an entire document.
document_version_id__sysDocument-type references only. The ID and version number of the referenced document in the format {documentId}_{majorVersion}_{minorVersion}. For example, 138_2_1.
permalink__sysPermalink-type references only. The ID of the referenced permalink.
url__sysExternal-type references only. The URL of the external reference. Allows up to 32,000 characters.